<map version="1.0.1">
<!-- To view this file, download free mind mapping software FreeMind from http://freemind.sourceforge.net -->
<node CREATED="1551203481289" ID="ID_1370765012" MODIFIED="1551203544844" TEXT="Automatizace">
<node CREATED="1551205717579" ID="ID_1611406617" MODIFIED="1551385200138" POSITION="right" TEXT="Gitflow">
<linktarget COLOR="#b0b0b0" DESTINATION="ID_1611406617" ENDARROW="Default" ENDINCLINATION="1330;0;" ID="Arrow_ID_181780662" SOURCE="ID_160342751" STARTARROW="None" STARTINCLINATION="1330;0;"/>
<node CREATED="1551207133371" ID="ID_1136051326" MODIFIED="1551385201861" TEXT="N&#xe1;vod">
<node CREATED="1551207064596" ID="ID_370163222" MODIFIED="1551207140043" TEXT="kam komitovat"/>
<node CREATED="1551207092019" ID="ID_1403219797" MODIFIED="1551207146449" TEXT="co testovat"/>
<node CREATED="1551207098362" ID="ID_321692670" MODIFIED="1551207154299" TEXT="co kontrolovat"/>
<node CREATED="1551207103595" ID="ID_1489154300" MODIFIED="1551207161470" TEXT="kde hledat aktu&#xe1;ln&#xed; prodku&#x10d;n&#xed; verzi"/>
<node CREATED="1551207121371" ID="ID_608885511" MODIFIED="1551207170169" TEXT="co d&#x11b;lat kdy&#x17e; se objev&#xed; chyba"/>
</node>
<node CREATED="1551207176176" ID="ID_949193726" MODIFIED="1551385203294" TEXT="Stupe&#x148; volnosti">
<node CREATED="1551207215249" ID="ID_575714298" MODIFIED="1551207224154" TEXT="V&#xfd;voj&#xe1;&#x159;i tvo&#x159;&#xed; budoucnost"/>
<node CREATED="1551207224552" ID="ID_483332822" MODIFIED="1551207241807" TEXT="Teste&#x159;i testuj&#xed; sou&#x10d;asnost"/>
<node CREATED="1551207261258" ID="ID_1165457597" MODIFIED="1551207265846" TEXT="Paralelismus">
<node CREATED="1551207312621" ID="ID_1866183972" MODIFIED="1551207318079" TEXT="V&#xfd;roba">
<node CREATED="1551207354520" ID="ID_1652845552" MODIFIED="1551207394127" TEXT="Ne&#x10d;ek&#xe1; a&#x17e; se to prod&#xe1;"/>
</node>
<node CREATED="1551207318547" ID="ID_160622845" MODIFIED="1551207339159" TEXT="Distribuce">
<node CREATED="1551207396552" ID="ID_1259073241" MODIFIED="1551207418567" TEXT="Distribuje to co vyrobeno od minule"/>
</node>
<node CREATED="1551207323200" ID="ID_1108998912" MODIFIED="1551207334128" TEXT="Prodejna">
<node CREATED="1551207423391" ID="ID_1842654792" MODIFIED="1551207431743" TEXT="nen&#xed; ovlivn&#x11b;na t&#xed;m co se chyst&#xe1; v d&#xed;ln&#x11b;."/>
</node>
</node>
<node CREATED="1551207446657" ID="ID_513692742" MODIFIED="1551207577910" TEXT="Izolovan&#xe1; pracovi&#x161;t&#x11b;">
<node CREATED="1551207578795" ID="ID_1817700551" MODIFIED="1551207585033" TEXT="Feature branche"/>
<node CREATED="1551207592578" ID="ID_194878973" MODIFIED="1551207608126" TEXT="Nehotv&#xe1; feature neblokuje release">
<node CREATED="1551207609631" ID="ID_169848783" MODIFIED="1551207615676" TEXT="Nen&#xed; sou&#x10d;&#xe1;st&#xed; dod&#xe1;vky"/>
</node>
</node>
</node>
<node CREATED="1551207635050" ID="ID_1080795217" MODIFIED="1551207639132" TEXT="Z&#xe1;vazek">
<node CREATED="1551207710115" ID="ID_226616195" MODIFIED="1551207714534" TEXT="Upstream">
<node CREATED="1551207640257" ID="ID_8547919" MODIFIED="1551207730317" TEXT="v&#x11b;t&#x161;&#xed; v&#xfd;znam ne&#x17e; jen centr&#xe1;ln&#xed; &#xfa;lo&#x17e;i&#x161;t&#x11b;"/>
<node CREATED="1551207743118" ID="ID_1849225488" MODIFIED="1551207749343" TEXT="Rozbiju to ostatn&#xed;m"/>
</node>
<node CREATED="1551207660973" ID="ID_988593715" MODIFIED="1551207669512" TEXT="Merge request">
<node CREATED="1551207670916" ID="ID_339649931" MODIFIED="1551207679725" TEXT="conflict">
<node CREATED="1551207765314" ID="ID_1645836140" MODIFIED="1551207777179" TEXT="Commit">
<node CREATED="1551207778064" ID="ID_362093875" MODIFIED="1551207780956" TEXT="Velikost"/>
<node CREATED="1551207781784" ID="ID_914074807" MODIFIED="1551207783729" TEXT="Rozsah">
<node CREATED="1551208762809" ID="ID_1435562636" MODIFIED="1551208770316" TEXT="V&#xed;ce mal&#xfd;ch soubor&#x16f;">
<node CREATED="1551208771309" ID="ID_1696338287" MODIFIED="1551208773901" TEXT="Git firendly"/>
</node>
<node CREATED="1551208775456" ID="ID_1638411634" MODIFIED="1551208787741" TEXT="Velk&#xfd; soubor = conflict"/>
</node>
</node>
<node CREATED="1551207786647" ID="ID_1153575255" MODIFIED="1551207812665" TEXT="Pl&#xe1;novac&#xed; jednotka"/>
</node>
<node CREATED="1551207680016" ID="ID_591779343" MODIFIED="1551208748861" TEXT="review">
<arrowlink DESTINATION="ID_1655849216" ENDARROW="Default" ENDINCLINATION="409;0;" ID="Arrow_ID_1776670959" STARTARROW="None" STARTINCLINATION="409;0;"/>
</node>
</node>
</node>
</node>
<node CREATED="1551205725595" ID="ID_1974754464" MODIFIED="1551385204995" POSITION="right" TEXT="Testy">
<node CREATED="1551207834144" ID="ID_414334453" MODIFIED="1551207836371" TEXT="Process">
<node CREATED="1551207837096" ID="ID_1483281178" MODIFIED="1551207859147" TEXT="Testy jsou sou&#x10d;&#xe1;st&#xed; nejmen&#x161;&#xed; jednotky dod&#xe1;vky"/>
<node CREATED="1551207923470" ID="ID_28468640" MODIFIED="1551207933471" TEXT="Dod&#xe1;vaj&#xed; odvahu a jistotu"/>
<node CREATED="1551207942006" ID="ID_353285625" MODIFIED="1551207952222" TEXT="Nut&#xed; k zamy&#x161;len&#xed; nad slo&#x17e;itost&#xed; k&#xf3;du">
<node CREATED="1551208107273" ID="ID_68808703" MODIFIED="1551208111842" TEXT="Modularita">
<node CREATED="1551208094320" ID="ID_688714854" MODIFIED="1551208101779" TEXT="Spu&#x161;t&#x11b;n&#xed; cel&#xe9;ho syst&#xe9;mu "/>
<node CREATED="1551208120513" ID="ID_731910167" MODIFIED="1551208134591" TEXT="Design component pro samostatn&#xe9; spu&#x161;ten&#xed;"/>
</node>
<node CREATED="1551208137839" ID="ID_1459155675" MODIFIED="1551208148761" TEXT="Kdy&#x17e; je to moc t&#x11b;&#x17e;k&#xe9; na otestov&#xe1;n&#xed;">
<node CREATED="1551208150532" ID="ID_168043518" MODIFIED="1551208156907" TEXT="&#x160;patn&#xe1; dekompozice probl&#xe9;mu"/>
<node CREATED="1551208157305" ID="ID_1967483050" MODIFIED="1551208163160" TEXT="&#x160;patn&#xe9; n&#xe1;vrhov&#xe9; vzory"/>
<node CREATED="1551208166922" ID="ID_89255888" MODIFIED="1551208204759" TEXT="Moc v&#x11b;c&#xed; v jednom"/>
</node>
</node>
<node CREATED="1551208234798" ID="ID_1122121475" MODIFIED="1551208567508" TEXT="Code quality jako test">
<linktarget COLOR="#b0b0b0" DESTINATION="ID_1122121475" ENDARROW="Default" ENDINCLINATION="226;0;" ID="Arrow_ID_1565546591" SOURCE="ID_1655849216" STARTARROW="None" STARTINCLINATION="226;0;"/>
</node>
</node>
<node CREATED="1551207871038" ID="ID_215483542" MODIFIED="1551207892520" TEXT="spou&#x161;t&#xed; se b&#x11b;hem centr&#xe1;ln&#xed;ho buildu"/>
<node CREATED="1551207907884" ID="ID_599762451" MODIFIED="1551207915426" TEXT="Pokryt&#xed; nesm&#xed; klesnout"/>
</node>
<node CREATED="1551205731383" ID="ID_1655849216" MODIFIED="1551385206881" POSITION="right" TEXT="Review">
<arrowlink DESTINATION="ID_1122121475" ENDARROW="Default" ENDINCLINATION="226;0;" ID="Arrow_ID_1565546591" STARTARROW="None" STARTINCLINATION="226;0;"/>
<linktarget COLOR="#b0b0b0" DESTINATION="ID_1655849216" ENDARROW="Default" ENDINCLINATION="409;0;" ID="Arrow_ID_1776670959" SOURCE="ID_591779343" STARTARROW="None" STARTINCLINATION="409;0;"/>
<node CREATED="1551208575482" ID="ID_547130280" MODIFIED="1551208585464" TEXT="Feature branch">
<node CREATED="1551208610108" ID="ID_1626307850" MODIFIED="1551208621078" TEXT="Jasn&#x11b; patrn&#xe1; dod&#xe1;vka">
<node CREATED="1551208621842" ID="ID_1208349896" MODIFIED="1551208627818" TEXT="Nen&#xed; prolo&#x17e;ena ciz&#xed;mi commity"/>
</node>
<node CREATED="1551208641665" ID="ID_1599264155" MODIFIED="1551208657880" TEXT="Neotr&#xe1;v&#xed; upstream"/>
<node CREATED="1551208879503" ID="ID_365026280" MODIFIED="1551208882048" TEXT="Merge">
<node CREATED="1551208591952" ID="ID_1692147923" MODIFIED="1551208606134" TEXT="Bez review nen&#xed; merge"/>
<node CREATED="1551208842511" ID="ID_60363900" MODIFIED="1551208868569" TEXT="Schv&#xe1;len&#xed; &#x17e;e k&#xf3;d opravdu poputuje do v&#xfd;roby"/>
<node CREATED="1551208870280" ID="ID_245613984" MODIFIED="1551208903611" TEXT="Jak se jednou k&#xf3;d zapoj&#xed; do upstreamu, u&#x17e; se mus&#xed; dod&#x11b;lat"/>
<node CREATED="1551208915922" ID="ID_1390937426" MODIFIED="1551208917977" TEXT="z&#xe1;vazek"/>
</node>
</node>
<node CREATED="1551208662058" ID="ID_1630209061" MODIFIED="1551208680230" TEXT="Mus&#xed; b&#xfd;t kr&#xe1;tk&#xe9;">
<node CREATED="1551208681164" ID="ID_474952163" MODIFIED="1551208691973" TEXT="Feature branch mus&#xed; b&#xfd;t &quot;kr&#xe1;tk&#xe1;&quot;"/>
<node CREATED="1551208709630" ID="ID_661957529" MODIFIED="1551208715675" TEXT="Dlouh&#xe9; revie nikoho nebav&#xed;">
<node CREATED="1551208717120" ID="ID_666034483" MODIFIED="1551208721022" TEXT="Ztr&#xe1;ta pozornosti"/>
<node CREATED="1551208724786" ID="ID_511691189" MODIFIED="1551208735158" TEXT="&#x160;patn&#xe1; dekompozice"/>
<node CREATED="1551208735825" ID="ID_49574730" MODIFIED="1551208739515" TEXT="&#x160;patn&#xe9; pl&#xe1;nov&#xe1;n&#xed;"/>
</node>
</node>
<node CREATED="1551208815848" ID="ID_1779919791" MODIFIED="1551377520480" TEXT="Sd&#xed;len&#xed; znalost&#xed;">
<node CREATED="1551208822784" ID="ID_302976793" MODIFIED="1551208826596" TEXT="Sd&#xed;len&#xed; zodpov&#x11b;dnosti"/>
<node CREATED="1551208827951" ID="ID_593598196" MODIFIED="1551208832976" TEXT="Autobusov&#xfd; faktor"/>
</node>
</node>
<node CREATED="1551205757474" ID="ID_414258185" MODIFIED="1551385210750" POSITION="right" TEXT="CI/CD">
<linktarget COLOR="#b0b0b0" DESTINATION="ID_414258185" ENDARROW="Default" ENDINCLINATION="593;0;" ID="Arrow_ID_1003533527" SOURCE="ID_1001816442" STARTARROW="None" STARTINCLINATION="593;0;"/>
<node CREATED="1551205735063" ID="ID_1899468870" MODIFIED="1551385212389" TEXT="Continuous Integration">
<node CREATED="1551209041913" ID="ID_1047214148" MODIFIED="1551209051355" TEXT="Pr&#x16f;b&#x11b;&#x17e;n&#xe9; p&#x159;id&#xe1;v&#xe1;n&#xed; komponent"/>
<node CREATED="1551209051979" ID="ID_838635038" MODIFIED="1551209079667" TEXT="Neaktivn&#xed; k&#xf3;d">
<node CREATED="1551209080465" ID="ID_1684797663" MODIFIED="1551209084494" TEXT="nic nerozbije"/>
<node CREATED="1551209086615" ID="ID_1389814418" MODIFIED="1551209089914" TEXT="nevol&#xe1; se"/>
<node CREATED="1551209105621" ID="ID_1188458317" MODIFIED="1551209109313" TEXT="M&#xe1; povahu knihovny"/>
</node>
<node CREATED="1551209164043" ID="ID_329715598" MODIFIED="1551209268846" TEXT="Ka&#x17e;d&#xfd; p&#x159;idan&#xfd; kus mus&#xed; po&#x10d;&#xed;tat s produkc&#xed;">
<node CREATED="1551209178523" ID="ID_409358960" MODIFIED="1551209181408" TEXT="S rollbackem"/>
<node CREATED="1551209188822" ID="ID_1579432517" MODIFIED="1551209199551" TEXT="S bezv&#xfd;padkov&#xfd;m p&#x159;echodem"/>
<node CREATED="1551209199839" ID="ID_165863184" MODIFIED="1551209211404" TEXT="S se soub&#x11b;hem se star&#x161;&#xed; verz&#xed;"/>
</node>
<node CREATED="1551209270244" ID="ID_985766015" MODIFIED="1551209306846" TEXT="Uk&#xe1;zka rozpracovan&#xe9; funkctionality klientovi">
<node CREATED="1551209309104" ID="ID_518597623" MODIFIED="1551209321536" TEXT="V&#x10d;as odhal&#xed; chyby v n&#xe1;vrhnu"/>
<node CREATED="1551209321900" ID="ID_294755903" MODIFIED="1551209326242" TEXT="Nepochopen&#xed; zad&#xe1;n&#xed;"/>
</node>
</node>
<node CREATED="1551205766402" ID="ID_1758848863" MODIFIED="1551205846451" TEXT="Continuous Deployment">
<linktarget COLOR="#b0b0b0" DESTINATION="ID_1758848863" ENDARROW="Default" ENDINCLINATION="133;0;" ID="Arrow_ID_486989412" SOURCE="ID_728237680" STARTARROW="None" STARTINCLINATION="133;0;"/>
</node>
</node>
<node CREATED="1551205813276" ID="ID_728237680" MODIFIED="1551385209833" POSITION="right" TEXT="Deployment">
<arrowlink DESTINATION="ID_1758848863" ENDARROW="Default" ENDINCLINATION="133;0;" ID="Arrow_ID_486989412" STARTARROW="None" STARTINCLINATION="133;0;"/>
<node CREATED="1551205853039" ID="ID_1459512108" MODIFIED="1551385214236" TEXT="Process">
<node CREATED="1551213770181" ID="ID_725734712" MODIFIED="1551213784750" TEXT="Pl&#xe1;nov&#xe1;n&#xed; d&#xed;l&#x10d;&#xed;ch &#x10d;&#xe1;st&#xed;"/>
<node CREATED="1551213785319" ID="ID_1343129970" MODIFIED="1551213798228" TEXT="Integrace do upstreamu"/>
<node CREATED="1551213798561" ID="ID_265681013" MODIFIED="1551213809988" TEXT="Feature complete">
<node CREATED="1551213811517" ID="ID_635729524" MODIFIED="1551213817483" TEXT="Integrace do releasu"/>
</node>
<node CREATED="1551213822446" ID="ID_1586284753" MODIFIED="1551213826380" TEXT="Testov&#xe1;n&#xed;"/>
<node CREATED="1551213826963" ID="ID_1636515641" MODIFIED="1551213845420" TEXT="Nasazen&#xed; do produkce"/>
</node>
<node CREATED="1551205857505" ID="ID_104091585" MODIFIED="1551385215423" TEXT="N&#xe1;stroje">
<node CREATED="1551213859701" ID="ID_913567654" MODIFIED="1551214896387" TEXT="gitlab">
<node CREATED="1551214897818" ID="ID_1461165201" MODIFIED="1551215077237" TEXT="Pipelines">
<linktarget COLOR="#b0b0b0" DESTINATION="ID_1461165201" ENDARROW="Default" ENDINCLINATION="59;0;" ID="Arrow_ID_1533304234" SOURCE="ID_546321001" STARTARROW="None" STARTINCLINATION="59;0;"/>
<node CREATED="1551214901142" ID="ID_796983281" MODIFIED="1551214903294" TEXT="Docker">
<node CREATED="1551214904183" ID="ID_1843004396" MODIFIED="1551214910857" TEXT="Stabiln&#xed; prost&#x159;ed&#xed;"/>
<node CREATED="1551214912111" ID="ID_1181761564" MODIFIED="1551214918963" TEXT="pln&#xe1; volnost"/>
<node CREATED="1551214919371" ID="ID_1089953376" MODIFIED="1551214927753" TEXT="paralelismus verz&#xed;"/>
</node>
</node>
</node>
<node CREATED="1551213851240" ID="ID_260907261" MODIFIED="1551213854629" TEXT="Jenkins">
<node CREATED="1551215047395" ID="ID_546321001" MODIFIED="1551215077237" TEXT="Pipelines">
<arrowlink DESTINATION="ID_1461165201" ENDARROW="Default" ENDINCLINATION="59;0;" ID="Arrow_ID_1533304234" STARTARROW="None" STARTINCLINATION="59;0;"/>
</node>
<node CREATED="1551215061205" ID="ID_489540487" MODIFIED="1551215073973" TEXT="&#x158;et&#x11b;zen&#xed; job&#x16f;"/>
</node>
<node CREATED="1551213855089" ID="ID_57829042" MODIFIED="1551213858285" TEXT="team city">
<node CREATED="1551215105654" ID="ID_783072769" MODIFIED="1551215109772" TEXT="Jako jenkins"/>
</node>
</node>
<node CREATED="1551215514645" ID="ID_354662411" MODIFIED="1551385216576" TEXT="Infrastructure as a code">
<node CREATED="1551215540211" ID="ID_398900587" MODIFIED="1551215682120" TEXT="Konfigurace"/>
<node CREATED="1551215682505" ID="ID_1030547932" MODIFIED="1551215711743" TEXT="Zalo&#x17e;en&#xed; infrastrukturn&#xed;ho prvku"/>
<node CREATED="1551215739224" ID="ID_946949797" MODIFIED="1551215748292" TEXT="Verzov&#xe1;n&#xed; definic">
<node CREATED="1551215749567" ID="ID_160342751" MODIFIED="1551215782041" TEXT="gitflow">
<arrowlink DESTINATION="ID_1611406617" ENDARROW="Default" ENDINCLINATION="1330;0;" ID="Arrow_ID_181780662" STARTARROW="None" STARTINCLINATION="1330;0;"/>
</node>
<node CREATED="1551215753920" ID="ID_1001816442" MODIFIED="1551215766222" TEXT="CI/CD">
<arrowlink DESTINATION="ID_414258185" ENDARROW="Default" ENDINCLINATION="593;0;" ID="Arrow_ID_1003533527" STARTARROW="None" STARTINCLINATION="593;0;"/>
</node>
</node>
</node>
</node>
<node CREATED="1551205712257" ID="ID_771841262" MODIFIED="1551385198389" POSITION="left" TEXT="motivace">
<node CREATED="1551206431411" ID="ID_579309861" MODIFIED="1551206441825" TEXT="Optimalizace v&#xfd;voje">
<node CREATED="1551206822614" ID="ID_1356307104" MODIFIED="1551206829936" TEXT="Lep&#x161;&#xed; distribuce pr&#xe1;ce"/>
<node CREATED="1551206837034" ID="ID_1557235254" MODIFIED="1551206856859" TEXT="Release je dostupn&#xfd; ihned po testov&#xe1;n&#xed;"/>
<node CREATED="1551206858034" ID="ID_345149310" MODIFIED="1551206889945" TEXT="Znalost buildu je uchov&#xe1;na v pipeline">
<node CREATED="1551206892399" ID="ID_800548617" MODIFIED="1551206907258" TEXT="Ne u &quot;nenahraditeln&#xe9;ho&quot; zam&#x11b;stnance"/>
</node>
<node CREATED="1551206962384" ID="ID_527593334" MODIFIED="1551206965110" TEXT="Pipeline">
<node CREATED="1551206923269" ID="ID_836533024" MODIFIED="1551206961210" TEXT="R&#x16f;zn&#xe1; st&#xe1;dia v&#xfd;voje prob&#xed;haj&#xed; sou&#x10d;asn&#x11b;"/>
</node>
</node>
<node CREATED="1551206442263" ID="ID_1147733131" MODIFIED="1551206456504" TEXT="Kvalita">
<node CREATED="1551206987974" ID="ID_578551211" MODIFIED="1551207011186" TEXT="Dobr&#xfd; proces vynucuje kvalitu">
<node CREATED="1551207012291" ID="ID_1682496773" MODIFIED="1551207018289" TEXT="Bezbolestn&#x11b;"/>
<node CREATED="1551207018724" ID="ID_920196021" MODIFIED="1551207038612" TEXT="P&#x159;ed samotn&#xfd;m k&#xf3;dov&#xe1;n&#xed;m"/>
</node>
<node CREATED="1551207042211" ID="ID_1870594553" MODIFIED="1551207050048" TEXT="Testy sou&#x10d;&#xe1;st&#xed; procesu"/>
</node>
<node CREATED="1551206649541" ID="ID_1935149167" MODIFIED="1551289634111" TEXT="Komfort">
<node CREATED="1551206658838" ID="ID_880126799" MODIFIED="1551206674563" TEXT="Chci programovat">
<node CREATED="1551206675438" ID="ID_1702884270" MODIFIED="1551206684723" TEXT="Ne &#x159;e&#x161;it pro&#x10d; to zase nejde p&#x159;elo&#x17e;it"/>
<node CREATED="1551206685221" ID="ID_1452768500" MODIFIED="1551206697260" TEXT="Ne to n&#x11b;kam uploadovat"/>
<node CREATED="1551206702907" ID="ID_1855539329" MODIFIED="1551206736902" TEXT="Ne &#x10d;ekat ne&#x17e; zkon&#x10d;&#xed; code close"/>
</node>
<node CREATED="1551206667812" ID="ID_1167591792" MODIFIED="1551206777004" TEXT="Aktu&#xe1;ln&#xed; stav je dostupn&#xfd; v&#x161;em">
<node CREATED="1551206780175" ID="ID_239493176" MODIFIED="1551206791927" TEXT="M&#x16f;&#x17e;u si to vyzkou&#x161;et bez p&#x159;ekladu"/>
<node CREATED="1551206794968" ID="ID_687901141" MODIFIED="1551206800647" TEXT="M&#x16f;&#x17e;e si to vyzkou&#x161;et kdokoliv"/>
</node>
</node>
</node>
</node>
</map>
